Loading...
Searching...
No Matches
Ogre::SceneQueryListener Class Referenceabstract
Core » Scene

This optional class allows you to receive per-result callbacks from SceneQuery executions instead of a single set of consolidated results. More...

`#include <OgreSceneQuery.h>`

Inheritance diagram for Ogre::SceneQueryListener:
[legend]

## Public Member Functions

virtual | ~SceneQueryListener ()
virtual bool | queryResult (MovableObject *object)=0
| Called when a MovableObject is returned by a query.
virtual bool | queryResult (SceneQuery::WorldFragment *fragment)
| Called when a WorldFragment is returned by a query.

## Detailed Description

This optional class allows you to receive per-result callbacks from SceneQuery executions instead of a single set of consolidated results.

You should override this with your own subclass. Note that certain query classes may refine this listener interface.

## Constructor & Destructor Documentation

## ~SceneQueryListener()

virtual Ogre::SceneQueryListener::~SceneQueryListener | ( |  | ) |

inline virtual

## Member Function Documentation

## queryResult() [1/2]

virtual bool Ogre::SceneQueryListener::queryResult | ( | MovableObject * | object | ) |

pure virtual

Called when a MovableObject is returned by a query.

The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query.

Implemented in Ogre::RegionSceneQuery.

## queryResult() [2/2]

virtual bool Ogre::SceneQueryListener::queryResult | ( | SceneQuery::WorldFragment * | fragment | ) |

inline virtual

Called when a WorldFragment is returned by a query.

The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query.

Reimplemented in Ogre::RegionSceneQuery.

The documentation for this class was generated from the following file:

- OgreSceneQuery.h